Package org.pgpainless.key.generation

# Class KeySpecBuilder

java.lang.Object
org.pgpainless.key.generation.KeySpecBuilder

All Implemented Interfaces:
  `KeySpecBuilderInterface`

public class KeySpecBuilder extends Object implements KeySpecBuilderInterface

## Method Summary

Modifier and Type
Method
Description
`KeySpec`
`build()`
`KeySpecBuilder`
`overridePreferredCompressionAlgorithms(CompressionAlgorithm... compressionAlgorithms)`
`KeySpecBuilder`
`overridePreferredHashAlgorithms(HashAlgorithm... preferredHashAlgorithms)`
`KeySpecBuilder`
`overridePreferredSymmetricKeyAlgorithms(SymmetricKeyAlgorithm... preferredSymmetricKeyAlgorithms)`
`KeySpecBuilder`
`setKeyCreationDate(Date creationDate)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### overridePreferredCompressionAlgorithms

public KeySpecBuilder overridePreferredCompressionAlgorithms(@Nonnull CompressionAlgorithm... compressionAlgorithms)

Specified by:
  `overridePreferredCompressionAlgorithms` in interface `KeySpecBuilderInterface`

### overridePreferredHashAlgorithms

public KeySpecBuilder overridePreferredHashAlgorithms(@Nonnull HashAlgorithm... preferredHashAlgorithms)

Specified by:
  `overridePreferredHashAlgorithms` in interface `KeySpecBuilderInterface`

### overridePreferredSymmetricKeyAlgorithms

public KeySpecBuilder overridePreferredSymmetricKeyAlgorithms(@Nonnull SymmetricKeyAlgorithm... preferredSymmetricKeyAlgorithms)

Specified by:
  `overridePreferredSymmetricKeyAlgorithms` in interface `KeySpecBuilderInterface`

### setKeyCreationDate

public KeySpecBuilder setKeyCreationDate(@Nonnull Date creationDate)

Specified by:
  `setKeyCreationDate` in interface `KeySpecBuilderInterface`

### build

public KeySpec build()

Specified by:
  `build` in interface `KeySpecBuilderInterface`